Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.job
Class JobExecutionConfiguration

    java.lang.Object
      org.pentaho.di.job.JobExecutionConfiguration

All Implemented Interfaces:
  Cloneable

    public class JobExecutionConfiguration

extends Object
implements Cloneable

Field Summary
`static String` | `XML_TAG`

Constructor Summary
`JobExecutionConfiguration()`
`JobExecutionConfiguration(Node trecNode)`

Method Summary
`Object` | `clone()`
`Map<String,String>` | `getArguments()`
`String[]` | `getArgumentStrings()`
`int` | `getLogLevel()`
`Map<String,String>` | `getParams()`
`org.pentaho.di.core.Result` | `getPreviousResult()`
`SlaveServer` | `getRemoteServer()`
`Date` | `getReplayDate()`
`Repository` | `getRepository()`
`void` | `getUsedVariables(JobMeta jobMeta)`
`Map<String,String>` | `getVariables()`
`String` | `getXML()`
`boolean` | `isClearingLog()`
`boolean` | `isExecutingLocally()`
`boolean` | `isExecutingRemotely()`
`boolean` | `isPassingExport()`
`boolean` | `isSafeModeEnabled()`
`void` | `setArguments(Map<String,String> arguments)`
`void` | `setArgumentStrings(String[] arguments)`
`void` | `setClearingLog(boolean clearingLog)`
`void` | `setExecutingLocally(boolean localExecution)`
`void` | `setExecutingRemotely(boolean remoteExecution)`
`void` | `setLogLevel(int logLevel)`
`void` | `setParams(Map<String,String> params)`
`void` | `setPassingExport(boolean passingExport)`
`void` | `setPreviousResult(org.pentaho.di.core.Result previousResult)`
`void` | `setRemoteServer(SlaveServer remoteServer)`
`void` | `setReplayDate(Date replayDate)`
`void` | `setRepository(Repository repository)`
`void` | `setSafeModeEnabled(boolean usingSafeMode)`
`void` | `setVariables(Map<String,String> variables)`
`void` | `setVariables(org.pentaho.di.core.variables.VariableSpace space)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### XML_TAG

    public static final String XML_TAG

See Also:
  Constant Field Values

Constructor Detail

### JobExecutionConfiguration

    public JobExecutionConfiguration()

### JobExecutionConfiguration

    public JobExecutionConfiguration(Node trecNode)
                              throws org.pentaho.di.core.exception.KettleException

Throws:
  `org.pentaho.di.core.exception.KettleException`

Method Detail

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getArguments

    public Map<String,String> getArguments()

  Returns:
    the arguments

### setArguments

    public void setArguments(Map<String,String> arguments)

  Parameters:
    `arguments` - the arguments to set

### setParams

    public void setParams(Map<String,String> params)

  Parameters:
    `params` - the parameters to set

### getParams

    public Map<String,String> getParams()

  Returns:
    the parameters.

### setArgumentStrings

    public void setArgumentStrings(String[] arguments)

  Parameters:
    `arguments` - the arguments to set

### getVariables

    public Map<String,String> getVariables()

  Returns:
    the variables

### setVariables

    public void setVariables(Map<String,String> variables)

  Parameters:
    `variables` - the variables to set

### setVariables

    public void setVariables(org.pentaho.di.core.variables.VariableSpace space)

### isExecutingRemotely

    public boolean isExecutingRemotely()

  Returns:
    the remoteExecution

### setExecutingRemotely

    public void setExecutingRemotely(boolean remoteExecution)

  Parameters:
    `remoteExecution` - the remoteExecution to set

### isExecutingLocally

    public boolean isExecutingLocally()

  Returns:
    the localExecution

### setExecutingLocally

    public void setExecutingLocally(boolean localExecution)

  Parameters:
    `localExecution` - the localExecution to set

### getRemoteServer

    public SlaveServer getRemoteServer()

  Returns:
    the remoteServer

### setRemoteServer

    public void setRemoteServer(SlaveServer remoteServer)

  Parameters:
    `remoteServer` - the remoteServer to set

### getUsedVariables

    public void getUsedVariables(JobMeta jobMeta)

### getReplayDate

    public Date getReplayDate()

  Returns:
    the replayDate

### setReplayDate

    public void setReplayDate(Date replayDate)

  Parameters:
    `replayDate` - the replayDate to set

### isSafeModeEnabled

    public boolean isSafeModeEnabled()

  Returns:
    the usingSafeMode

### setSafeModeEnabled

    public void setSafeModeEnabled(boolean usingSafeMode)

  Parameters:
    `usingSafeMode` - the usingSafeMode to set

### getLogLevel

    public int getLogLevel()

  Returns:
    the logLevel

### setLogLevel

    public void setLogLevel(int logLevel)

  Parameters:
    `logLevel` - the logLevel to set

### getXML

    public String getXML()
                  throws IOException

  Throws:
    `IOException`

### getArgumentStrings

    public String[] getArgumentStrings()

### getPreviousResult

    public org.pentaho.di.core.Result getPreviousResult()

  Returns:
    the previousResult

### setPreviousResult

    public void setPreviousResult(org.pentaho.di.core.Result previousResult)

  Parameters:
    `previousResult` - the previousResult to set

### getRepository

    public Repository getRepository()

  Returns:
    the repository

### setRepository

    public void setRepository(Repository repository)

  Parameters:
    `repository` - the repository to set

### isClearingLog

    public boolean isClearingLog()

  Returns:
    the clearingLog

### setClearingLog

    public void setClearingLog(boolean clearingLog)

  Parameters:
    `clearingLog` - the clearingLog to set

### isPassingExport

    public boolean isPassingExport()

  Returns:
    the passingExport

### setPassingExport

    public void setPassingExport(boolean passingExport)

  Parameters:
    `passingExport` - the passingExport to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD